## org.apache.bcel.generic
Class ReturnInstruction

    java.lang.Object
      |
      +--org.apache.bcel.generic.Instruction
            |
            +--org.apache.bcel.generic.ReturnInstruction

All Implemented Interfaces:
  java.lang.Cloneable, ExceptionThrower, java.io.Serializable, StackConsumer, TypedInstruction

Direct Known Subclasses:
  ARETURN, DRETURN, FRETURN, IRETURN, LRETURN, RETURN

public abstract class ReturnInstruction
extends Instruction
implements ExceptionThrower, TypedInstruction, StackConsumer

Super class for the xRETURN family of instructions.

Version:
  $Id: ReturnInstruction.java,v 1.1.1.1 2001/10/29 20:00:26 jvanzyl Exp $
Author:
  M. Dahm
See Also:
  Serialized Form

Fields inherited from class org.apache.bcel.generic.Instruction
`length, opcode`

Constructor Summary
`protected` `ReturnInstruction(short opcode)`

Method Summary
`java.lang.Class[]` `getExceptions()`
`Type` `getType()`
`Type` `getType(ConstantPoolGen cp)`

Methods inherited from class org.apache.bcel.generic.Instruction
`accept, consumeStack, copy, dump, getLength, getOpcode, initFromFile, produceStack, readInstruction, toString, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.bcel.generic.StackConsumer
`consumeStack`

Constructor Detail

### ReturnInstruction

    protected ReturnInstruction(short opcode)

  Parameters:
    `opcode` - of instruction

Method Detail

### getType

    public Type getType()

### getExceptions

    public java.lang.Class[] getExceptions()

  Specified by:
    `getExceptions` in interface `ExceptionThrower`

### getType

    public Type getType(ConstantPoolGen cp)

  Specified by:
    `getType` in interface `TypedInstruction`
  Returns:
    type associated with the instruction